## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           archlinux-keyring
Version:        20240520
Release:        %autorelease
Url:            https://archlinux.org/packages/core/any/archlinux-keyring/
Source0:        https://gitlab.archlinux.org/archlinux/archlinux-keyring/-/archive/%{version}/archlinux-keyring-%{version}.tar.gz
# see https://wiki.archlinux.org/index.php/Pacman-key for introduction
License:        LicenseRef-Fedora-Public-Domain
Summary:        GPG keys used by Arch Linux distribution to sign packages
BuildArch:      noarch

BuildRequires:  keyrings-filesystem
BuildRequires:  make
BuildRequires:  /usr/bin/sq
BuildRequires:  python3
BuildRequires:  systemd-rpm-macros
BuildRequires:  systemd
BuildRequires:  pkgconf
Requires:       pacman-filesystem
Requires:       keyrings-filesystem

%description
A set of GPG keys used to sign packages in the Arch distribution,
which can be used to verify that downloaded Arch packages are
valid.

This package simply packages the GPG keyring as published by Arch
developers into an RPM package to allow for safe and convenient
installation on Fedora systems.

%prep
%autosetup -p1

%build

%check
make check

%install
%make_install PREFIX=%{_prefix}
mkdir -p %{buildroot}%{_keyringsdir}/
ln --relative -s %{_datadir}/pacman/keyrings/archlinux.gpg %{buildroot}%{_keyringsdir}/

%files
%{_datadir}/pacman/keyrings
%{_keyringsdir}/archlinux.gpg
%{_bindir}/archlinux-keyring-wkd-sync
%{_unitdir}/archlinux-keyring-wkd-sync.*
%{_unitdir}/timers.target.wants/archlinux-keyring-wkd-sync.timer

%posttrans
if [ $1 == 1 ] && [ -x /usr/bin/pacman-key ] && ! /usr/bin/pacman-key -l &>/dev/null; then
    /usr/bin/pacman-key --init && \
    /usr/bin/pacman-key --populate archlinux --updatedb || :
fi

%transfiletriggerin -- /usr/bin/pacman-key
if [ -x /usr/bin/pacman-key ] && ! /usr/bin/pacman-key -l &>/dev/null; then
    /usr/bin/pacman-key --init && \
    /usr/bin/pacman-key --populate archlinux --updatedb || :
fi

%changelog
## START: Generated by rpmautospec
* Sun Jun 02 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20240520-1
- Version 20240520 (rhbz#2277698)

* Sun Apr 28 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20240427-1
- Version 20240427 (rhbz#2277519)

* Wed Mar 20 2024 Frantisek Sumsal <frantisek@sumsal.cz> - 20240313-1
- Version 20240313 (rhbz#2269408)

* Fri Feb 09 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20240208-1
- Version 20240208 (rhbz#2263434)

* Fri Feb 09 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20231222-4
- Rework scriptlets to initialize the keyring

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20231222-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20231222-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 03 2024 Frantisek Sumsal <frantisek@sumsal.cz> - 20231222-1
- Version 20231222 (rhbz#2255663)

* Wed Dec 13 2023 Frantisek Sumsal <frantisek@sumsal.cz> - 20231207-1
- Version 20231207 (rhbz#2253495)

* Sun Dec 03 2023 Frantisek Sumsal <frantisek@sumsal.cz> - 20231130-1
- Version 20231130 (rhbz#2252233)

* Tue Nov 21 2023 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20231113-2
- Convert license tag to SPDX

* Tue Nov 14 2023 Frantisek Sumsal <frantisek@sumsal.cz> - 20231113-1
- Version 20231113 (rhbz#2248590)

* Fri Nov 03 2023 Frantisek Sumsal <frantisek@sumsal.cz> - 20231026-1
- Version 20231026 (rhbz#2246326)

* Tue Oct 17 2023 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20231017-1
- Version 20231017 (rhbz#2243196)

* Mon Sep 18 2023 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20230918-1
- Version 20230918 (rhbz#2239389)

* Thu Sep 07 2023 Michel Lind <salimma@fedoraproject.org> - 20230821-2
- Revert upstream feature that uses sq >= 0.31.0

* Mon Aug 21 2023 Frantisek Sumsal <frantisek@sumsal.cz> - 20230821-1
- Version 20230821 (#2233045)

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20230704-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 09 2023 Frantisek Sumsal <frantisek@sumsal.cz> - 20230704-1
- Version 20230704 (#2219535)

* Sat Jul 01 2023 Frantisek Sumsal <frantisek@sumsal.cz> - 20230629-1
- Version 20230629 (#2218594)

* Mon May 08 2023 Frantisek Sumsal <frantisek@sumsal.cz> - 20230504-1
- Version 20230504 (#2193100)

* Fri Mar 24 2023 Frantisek Sumsal <frantisek@sumsal.cz> - 20230320-1
- Version 20230320 (#2180086)

* Tue Feb 28 2023 Frantisek Sumsal <frantisek@sumsal.cz> - 20230225-1
- Version 20230225 (#2172640)

* Thu Feb 16 2023 Frantisek Sumsal <frantisek@sumsal.cz> - 20230130-1
- Version 20230130 (#2165491)

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20221220-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 27 2022 Frantisek Sumsal <frantisek@sumsal.cz> - 20221220-1
- Version 20221220 (#2154797)

* Thu Dec 15 2022 Frantisek Sumsal <frantisek@sumsal.cz> - 20221213-1
- Version 20221213 (#2153046)

* Thu Dec 15 2022 Frantisek Sumsal <frantisek@sumsal.cz> - 20221123-2
- Run integrity & consistency checks

* Sat Nov 26 2022 Frantisek Sumsal <frantisek@sumsal.cz> - 20221123-1
- Version 20221123 (#2145118)

* Mon Nov 14 2022 Frantisek Sumsal <frantisek@sumsal.cz> - 20221110-1
- Version 20221110 (#2141851)

* Fri Sep 30 2022 Frantisek Sumsal <frantisek@sumsal.cz> - 20220927-1
- Version 20220927 (#2130137)

* Thu Sep 01 2022 Frantisek Sumsal <frantisek@sumsal.cz> - 20220831-3
- Actually build-require systemd

* Thu Sep 01 2022 Frantisek Sumsal <frantisek@sumsal.cz> - 20220831-2
- Build-require systemd-rpm-macros for %%{_unitdir}

* Thu Sep 01 2022 Frantisek Sumsal <frantisek@sumsal.cz> - 20220831-1
- Version 20220831 (#2122898)

* Thu Sep 01 2022 Frantisek Sumsal <frantisek@sumsal.cz> - 20220727-2
- version-update: allow overriding the default FAS username

* Wed Jul 27 2022 Frantisek Sumsal <frantisek@sumsal.cz> - 20220727-1
- Version 20220727 (#2111589)

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20220424-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 22 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20220424-4
- Suppress errors in %%post

* Wed Jun 15 2022 Daan De Meyer <daan.j.demeyer@gmail.com> - 20220424-3
- Regenerate the keyring if it exists on upgrade

* Mon Jun 13 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20220424-2
- Use python3 explicitly

* Mon Jun 13 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20220424-1
- Version 20220424

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20211028-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 05 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20211028-1
- Version 20211028 (#2018137)

* Fri Sep 03 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20210902-1
- Version 20210902 (#2000773)

* Thu Sep 02 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20210818-1
- Version 20210818 (#1988670)

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20210110-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Feb 02 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20210110-1
- New upstream release (#1843508).

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20200817-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Aug 18 2020 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20200817-1
- New upstream release (#1843508).

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20200622-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 25 2020 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20200622-1
- New upstream release (#1843508).

* Tue May 05 2020 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20200422-1
- New upstream release (#1826747).

* Tue Mar 31 2020 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20200108-1
- New upstream release (#1785315).

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20191219-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Dec 19 2019 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20191219-1
- New upstream release (#1785315).

* Sat Oct 19 2019 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20191018-1
- New upstream release (#1747072).

* Sat Aug 17 2019 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20190805-1
- New upstream release (#1595225).

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20181003-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20181003-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Nov 26 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20181003-1
- New upstream release (#1595225).

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20180404-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Apr 14 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20180404-1
- New upstream release (#1550956).

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20180108-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20180108-1
- New upstream release (#1484591).

* Wed Oct 25 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20171020-1
- New upstream release (#1484591).

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20170611-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 12 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20170611-1
- New upstream release (#1434187).

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20161201-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Dec 01 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20161201-1
- New upstream release (#1400727).

* Tue Nov 01 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20161101-1
- New upstream release (#1323372).

* Sun Mar 06 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20160215-1
- New upstream release (#1308758).

* Wed Feb 03 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20160123-1
- New upstream release (#1293177).

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 20151206-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 06 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20151206-1
- New upstream release (#1288831).

* Wed Jul 22 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20150605-1
- New upstream release (#1221589).

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20150212-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Feb 14 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20150212-1
- New upstream release (#1192336).

* Wed Dec 24 2014 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20141218-1
- New upstream release (#1176858).

* Wed Sep 10 2014 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20140908-1
- New upstream release (#1140086).

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20140220-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Feb 21 2014 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20140220-1
- New upstream release (#1067847).

* Sun Jan 26 2014 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20140124-1
- New upstream release (#1057981).

* Thu Jan 09 2014 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20140108-1
- New upstream release (#1050849).

* Tue Oct 29 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20131027-1
- New upstream release (#1023895).

* Sun Sep 29 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20130926-1
- New upstream release (#1013091).
- Provide links to the keyring files in /usr/share/keyrings.

* Sun Aug 25 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20130818-2
- Add Url field and build section.
- Package accepted (#998690).

* Mon Aug 19 2013 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 20130818-1
- Initial packaging.

## END: Generated by rpmautospec
